org.apache.ignite.internal.binary

## Class BinaryReaderHandles

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryReaderHandles

    public class BinaryReaderHandles
    extends Object

Reader handles.

### Constructor Summary

Constructors
Constructor and Description
`BinaryReaderHandles()`

### Method Summary

Methods
`<T> T` `get(int pos)` Get object by position.
`void` `put(int pos, Object obj)` Put object to registry and return previous position (if any).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryReaderHandles

    public BinaryReaderHandles()

### Method Detail

#### get

    @Nullable
    public <T> T get(int pos)

Get object by position.

Parameters:
  `pos` - Position.
Returns:
  Object.

#### put

    public void put(int pos,
           Object obj)

Put object to registry and return previous position (if any).

Parameters:
  `pos` - Position.
  `obj` - Object.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015